=encoding utf8

=head1 NAME

release_schedule - Perl 5 release schedule

=head1 STABLE RELEASE SCHEDULE

This schedule lists the projected or historical development and
release schedules for the next, current and previous stable versions
of Perl.  Dates with two or more question marks will only be releases if
deemed necessary by the Steering Council.

=head2 Perl 5.42

  2025-??-??  5.42.0

=head2 Perl 5.40

  2024-06-09  5.40.0  ✓       Graham Knop
  2025-01-18  5.40.1  ✓       Steve Hay
  2025-04-13  5.40.2          Steve Hay

=head2 Perl 5.38

  2023-07-01  5.38.0  ✓       Ricardo Signes
  2023-11-29  5.38.2  ✓       Paul Evans
  2025-01-18  5.38.3  ✓       Steve Hay
  2025-04-13  5.38.4          Steve Hay

=head1 DEVELOPMENT RELEASE SCHEDULE

This schedule lists the release engineers for at least the next
four months of releases of bleadperl. If there are fewer than
four months listed as you make a release, it's important
that you extend the schedule AND B<identify the next release engineer>.

Before adding a release engineer, you B<must> contact them and they
B<must> consent to ship the release.

When shipping a release, you should include the schedule for (at least)
the next four releases. If a stable version of Perl is released,
you should reset the version numbers to the next blead series.

=head2 Perl 5.41

  2024-06-10  5.41.0  ✓       Graham K          (tag only)
  2024-06-20  5.41.1  ✓       Graham K
  2024-07-20  5.41.2  ✓       Karen Etheridge
  2024-08-20  5.41.3  ✓       Philippe Bruhat
  2024-09-20  5.41.4  ✓       Thibault Duponchelle
  2024-10-20  5.41.5  ✓       Richard Leach
  2024-11-20  5.41.6  ✓       Thibault Duponchelle
  2024-12-20  5.41.7  ✓       Max Maischein
  2025-01-20  5.41.8  ✓       Steve Hay
  2025-02-20  5.41.9  ✓       Richard Leach     Contentious changes freeze
  2025-03-20  5.41.10 ✓       Lukas Mai         User-visible changes to
                                                correctly functioning
                                                programs freeze
  2025-04-20  5.41.11         Karen Etheridge   Full program freeze
  2025-05-20  5.42.0          ?                 New perl!

=head1 VICTIMS

The following porters have all consented to do at least
one release of bleadperl.  If you can't do a release
and can't find a substitute amongst this list, mail p5p.

(Please do not add any names to this list without prior
consent of the Steering Council.)

  Abigail <abigail@abigail.be>
  Aristotle Pagaltzis <pagaltzis@gmx.de>
  Ask Bjørn Hansen <ask@perl.org>
  Chris Williams <bingos@cpan.org>
  Dave Cross <dave@perlhacks.com>
  Dave Rolsky <autarch@urth.org>
  David Golden <dagolden@cpan.org>
  Florian Ragwitz <rafl@debian.org>
  Jesse Luehrs <doy@cpan.org>
  Jesse Vincent <jesse@cpan.org>
  Leon Brocard <acme@astray.com>
  Matt Trout <mst@shadowcat.co.uk>
  Matthew Horsfall <wolfsage@gmail.com>
  Max Maischein <corion@cpan.org>
  Paul Evans <leonerd@leonerd.org.uk>
  Peter Martini <petercmartini@gmail.com>
  Philippe Bruhat <book@cpan.org>
  Ricardo Signes <rjbs@cpan.org>
  Stevan Little <stevan@cpan.org>
  Steve Hay <steve.m.hay@googlemail.com>
  Tatsuhiko Miyagawa <miyagawa@bulknews.net>
  Tony Cook <tony@develop-help.com>
  Yves Orton <demerphq@gmail.com>
  Ævar Arnfjörð Bjarmason <avar@cpan.org>

=head1 AUTHOR

Jesse Vincent <jesse@cpan.org>

=cut
